index

Varkon MBS Programmers manual

# seek - Procedure

## Description

Used to move the filepointer from one position (byte) within a file to another. Next read or write will take place beginning at the new position (byte). If the positioning is performed beyond the end of the file it will automatically grow. If this happens the contents of the new part of the file is undefined.

## Syntax

      seek(f, pos);

      file f;
      int  pos;

## Principal parameters

f | - The name of a filevariable associated with a file opened for update
pos | - The position to move the filepointer to. The first byte in the file = 0

## Optional parameters

None.

## Comments

seek() can only be used on files open for update, see the open() function.

## See also

fpos()

Varkon version 1.19C svn# 120